Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultVmpGroupType

java.lang.Object
be.fgov.ehealth.dics.core.v4.virtual.common.VmpGroupKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultVmpGroupType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultVmpGroupType extends VmpGroupKeyType implements Serializable

Java class for ConsultVmpGroupType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultVmpGroupType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:virtual:common}VmpGroupKeyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="NoGenericPrescriptionReason" type="{urn:be:fgov:ehealth:dics:protocol:v4}NoGenericPrescriptionReasonType" minOccurs="0"/>
             <element name="NoSwitchReason" type="{urn:be:fgov:ehealth:dics:protocol:v4}NoSwitchReasonType" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultVmpGroupType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `ConsultTextType`
  `getName()`
  Name of this group.
  `NoGenericPrescriptionReasonType`
  `getNoGenericPrescriptionReason()`
  Gets the value of the noGenericPrescriptionReason property.
  `NoSwitchReasonType`
  `getNoSwitchReason()`
  Gets the value of the noSwitchReason property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setName(ConsultTextType value)`
  Sets the value of the name property.
  `void`
  `setNoGenericPrescriptionReason(NoGenericPrescriptionReasonType value)`
  Sets the value of the noGenericPrescriptionReason property.
  `void`
  `setNoSwitchReason(NoSwitchReasonType value)`
  Sets the value of the noSwitchReason property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.virtual.common.VmpGroupKeyType

  `getCode, setCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultVmpGroupType

    public ConsultVmpGroupType()

- ## Method Details

  - ### getName

    public ConsultTextType getName()
    Name of this group. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional. Example: ‘amoxicilline 1g oraal’.
    Returns:
      possible object is `ConsultTextType`

  - ### setName

    public void setName(ConsultTextType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getName()`

  - ### getNoGenericPrescriptionReason

    public NoGenericPrescriptionReasonType getNoGenericPrescriptionReason()
    Gets the value of the noGenericPrescriptionReason property.
    Returns:
      possible object is `NoGenericPrescriptionReasonType`

  - ### setNoGenericPrescriptionReason

    public void setNoGenericPrescriptionReason(NoGenericPrescriptionReasonType value)
    Sets the value of the noGenericPrescriptionReason property.
    Parameters:
      `value` - allowed object is `NoGenericPrescriptionReasonType`

  - ### getNoSwitchReason

    public NoSwitchReasonType getNoSwitchReason()
    Gets the value of the noSwitchReason property.
    Returns:
      possible object is `NoSwitchReasonType`

  - ### setNoSwitchReason

    public void setNoSwitchReason(NoSwitchReasonType value)
    Sets the value of the noSwitchReason property.
    Parameters:
      `value` - allowed object is `NoSwitchReasonType`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`